Skip to Content.
Sympa Menu

sm-commit - [SM-Commit] GIT changes to master grimoire by Jaka Kranjc (40d5994594039d2ccdc66c7d416441315f83afbe)

sm-commit AT lists.ibiblio.org

Subject: Source Mage code commit list

List archive

Chronological Thread  
  • From: Jaka Kranjc <scm AT sourcemage.org>
  • To: sm-commit AT lists.ibiblio.org
  • Subject: [SM-Commit] GIT changes to master grimoire by Jaka Kranjc (40d5994594039d2ccdc66c7d416441315f83afbe)
  • Date: Wed, 20 Jun 2007 07:32:27 -0500

GIT changes to master grimoire by Jaka Kranjc <lynxlynxlynx AT sourcemage.org>:

ChangeLog | 3 +
mobile/plptools/DEPENDS | 6 ++
mobile/plptools/DETAILS | 26 ++++++++++
mobile/plptools/HISTORY | 10 ++++
mobile/plptools/PRE_BUILD | 5 ++
mobile/plptools/init.d/psion | 107
+++++++++++++++++++++++++++++++++++++++++++
6 files changed, 157 insertions(+)

New commits:
commit 40d5994594039d2ccdc66c7d416441315f83afbe
Author: Jaka Kranjc <lynxlynxlynx AT sourcemage.org>
Commit: Jaka Kranjc <lynxlynxlynx AT sourcemage.org>

plptools: diary

commit 004cb674b9b63e624183122480a9d6737364b6a9
Author: Jaka Kranjc <lynxlynxlynx AT sourcemage.org>
Commit: Jaka Kranjc <lynxlynxlynx AT sourcemage.org>

plptools: added, bumped and fixed

diff --git a/ChangeLog b/ChangeLog
index cc54b23..96fac47 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+2007-06-20 Jaka Kranjc <lynxlynxlynx AT sourcemage.org>
+ * mobile/plptools: libs and utils for communication with Psion palms
#10582
+
2007-06-19 Philippe Caseiro <puppetmaster AT sourcemage.org>
* database/sqlite3_ruby: new spell, a library to use sqlite3 with ruby

diff --git a/mobile/plptools/DEPENDS b/mobile/plptools/DEPENDS
new file mode 100755
index 0000000..cf4a550
--- /dev/null
+++ b/mobile/plptools/DEPENDS
@@ -0,0 +1,6 @@
+depends g++ &&
+optional_depends kdelibs \
+ "--enable-kde" \
+ "--disable-kde" \
+ "for psion:/ kioslave and Kpsion"
+
diff --git a/mobile/plptools/DETAILS b/mobile/plptools/DETAILS
new file mode 100755
index 0000000..15751cc
--- /dev/null
+++ b/mobile/plptools/DETAILS
@@ -0,0 +1,26 @@
+ SPELL=plptools
+ VERSION=0.17
+ SOURCE=$SPELL-$VERSION.tar.gz
+ SOURCE_URL[0]=$SOURCEFORGE_URL/$SPELL/$SOURCE
+
SOURCE_HASH=sha512:0b977580e52e3a598ef55cc60ada9563191dc60da50c99896afcf559fc6abc6b248f638d89b53f452882adf1051c55122b3aef0dca704e21fa672a0c295d9d09
+SOURCE_DIRECTORY=$BUILD_DIRECTORY/$SPELL-$VERSION
+ WEB_SITE=http://plptools.sourceforge.net/
+ ENTERED=20060224
+ LICENSE[0]=GPL
+ SHORT="libraries and utilities for communication with Psion
palmtops"
+cat << EOF
+Libraries and utilities to communicate with a Psion Palmtop. A daemon
+(ncpd) handles the serial connection and provides it's services on a local
+TCP socket. Several frontends using these services are part of the package:
+
+ * plpbackup, a command-line backup program.
+ * plpftp, a FTP-like frontend with some extensions.
+ * sisinstall, a SIS package installer.
+ * plpnfsd, a daemon, providing the Psion's file services via a nfs-mounted
+ directory.
+ * plpprintd, a print server for printing via PC.
+
+and optionally (KDE dependency) support for a new protocol named
+"psion:" (KIOslave) Backup, restore and format can be done by a separate
+standalone program "KPsion".
+EOF
diff --git a/mobile/plptools/HISTORY b/mobile/plptools/HISTORY
new file mode 100644
index 0000000..5be7ffd
--- /dev/null
+++ b/mobile/plptools/HISTORY
@@ -0,0 +1,10 @@
+2007-06-20 Jaka Kranjc <lynxlynxlynx AT sourcemage.org>
+ * DEPENDS: added g++
+ * PRE_BUILD: added for disabling arts
+ * DETAILS: updated spell to 0.17
+ made SHORT < 80
+ fixed SOURCE_HASH and _URL
+ fixed long description wrap
+
+2006-02-24 Harry Broeken<harry.broeken AT home.nl>
+ * DETAILS, DEPENDS, HISTORY, init.d/psion: created spell
diff --git a/mobile/plptools/PRE_BUILD b/mobile/plptools/PRE_BUILD
new file mode 100755
index 0000000..3928288
--- /dev/null
+++ b/mobile/plptools/PRE_BUILD
@@ -0,0 +1,5 @@
+default_pre_build &&
+
+# manual --without-arts
+sed -i -e '31969 s,^.*$,},' -e '32034 s,^.*$,},' -e '32336 s,^.*$,},' \
+ -e '32401 s,^.*$,},' $SOURCE_DIRECTORY/configure
diff --git a/mobile/plptools/init.d/psion b/mobile/plptools/init.d/psion
new file mode 100755
index 0000000..ee5a7a2
--- /dev/null
+++ b/mobile/plptools/init.d/psion
@@ -0,0 +1,107 @@
+#!/bin/bash
+PROGRAM=/usr/sbin/ncpd
+NAME="PSION SUPPORT"
+RUNLEVEL=3
+#
+# psion Starts ncpd/plpnfsd.
+#
+# chkconfig: 2345 45 10
+# description: This facility enables connectivity to a Psion series 5.
+
+# Source function library.
+. /etc/init.d/smgl_init
+
+[ -f /usr/sbin/ncpd ] || exit 0
+[ -f /usr/sbin/plpnfsd ] || exit 0
+[ -f /usr/sbin/plpprintd ] || exit 0
+[ -f /etc/sysconfig/psion ] || exit 0
+. /etc/sysconfig/psion
+
+start() {
+ echo "Starting Psion support ..."
+ RETVAL=0
+ if test "$START_NCPD" = "yes" ; then
+ echo -n " ncpd: "
+ daemon /usr/sbin/ncpd $NCPD_ARGS
+ RETVAL=$?
+ echo
+ fi
+ if [ $RETVAL -eq 0 ] ; then
+ if test "$START_PLPNFSD" = "yes" ; then
+ echo -n " plpnfsd: "
+ daemon /usr/sbin/plpnfsd $PLPNFSD_ARGS
+ RETVAL=$?
+ echo
+ fi
+ if test "$START_PLPPRINTD" = "yes" ; then
+ echo -n " plpprintd: "
+ daemon /usr/sbin/plpprintd $PLPPRINTD_ARGS
+ RETVAL=$?
+ echo
+ fi
+ fi
+ [ $RETVAL -eq 0 ] && touch /var/lock/subsys/psion
+ return $RETVAL
+}
+
+stop() {
+ echo "Stopping Psion support ..."
+ RETVAL=0
+ if test "$START_PLPNFSD" = "yes" ; then
+ echo -n " plpnfsd: "
+ killproc plpnfsd -HUP
+ WAIT=5
+ while test $WAIT -gt 0 ; do
+ test -z "`pidofproc plpnfsd`" && break;
+ sleep 1 # allow plpnfsd flushing it's cache
+ WAIT=`expr $WAIT - 1`
+ done
+ test -z "`pidofproc plpnfsd`" || killproc plpnfsd
+ echo
+ fi
+ if test "$START_PLPPRINTD" = "yes" ; then
+ echo -n " plpprintd: "
+ killproc plpprintd
+ echo
+ fi
+ if test "$START_NCPD" = "yes" ; then
+ echo -n " ncpd: "
+ killproc ncpd
+ RETVAL=$?
+ echo
+ fi
+ [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/psion
+ return $RETVAL
+}
+
+restart() {
+ stop
+ start
+}
+
+# See how we were called.
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ status)
+ status ncpd
+ status plpnfsd
+ status plpprintd
+ ;;
+ restart|reload)
+ restart
+ ;;
+ condrestart)
+ test -f /var/lock/subsys/psion && restart || :
+ ;;
+ *)
+ echo "Usage: psion {start|stop|status|restart|reload|condrestart}"
+ exit 1
+esac
+
+exit $?
+



  • [SM-Commit] GIT changes to master grimoire by Jaka Kranjc (40d5994594039d2ccdc66c7d416441315f83afbe), Jaka Kranjc, 06/20/2007

Archive powered by MHonArc 2.6.24.

Top of Page